.theme-neve .wrapper {
    overflow: unset !important;
}

div#fullscreen-csfbwloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 9999;
    display: none;
    justify-content: center;
    align-items: center;
}

.csfbwloader {
    border: 12px solid #f3f3f3;
    border-top: 12px solid #c7cbce;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.site-main>* {
    margin-top: 0;
}

.csfbw_main_wrapper {
    margin-top: 35px;
    margin-bottom: 35px;
    width: 100%;
}
.csfbw_main_wrapper .container {
    max-width: 1240px;
    margin: auto;
}

.csfbw_main_wrapper .row {
    display: flex;
    flex-wrap: nowrap;
}

.csfbw_main_wrapper .col-md-3 {
    width: 25%;
    max-width: 25%;
    padding-right: 15px;
}

.csfbw_main_wrapper .col-md-9 {
    width: 75%;
    max-width: 75%;
    padding-left: 15px;
    padding-right: 15px;
}

.csfbw_main_wrapper .col-md-12 {
    width: 100%;
}

.csfbw_main_section_filter .chosen-container {
    width: 100% !important;
}

.sticky_filter {
    position: absolute;
    left: 0;
    top: 7%;
    z-index: 999;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    width: 25%;
}

.csfbw_for_mobile {
    position: relative;
}

.csfbw_main_section_filter {
    padding: 20px 12px;
    border: 1px solid gainsboro;
    background: #fff;
}

.sticky_filter #csfbw_toggleButton {
    display: block;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    padding: 10px 16px;
    position: fixed;
    border: none;
    cursor: pointer;
}

.sticky_filter.open_filter #csfbw_toggleButton {
    position: absolute;
    right: 0;
    z-index: 9999;
    border: none;

}

.sticky_filter #csfbw_toggleDiv {
    display: none;
}

img.filter-icon {
    filter: invert(1) brightness(1000%);
    height: 20px;
    position: relative;
    float: left;
}

.csfbw_main_section_filter .close {
    float: right;
    cursor: pointer;
    display: none;
    padding-top: 5px;
    color: black;
    font-weight: bold;
}

@media (max-width: 767px) {
    .woocommerce span.onsale{
            right: 0rem !important;
    }

    .csfbw_main_wrapper .row {
    flex-wrap: wrap;
}
    .csfbw_main_section_filter .close {

        display: block;
    }

    .csfbw_main_wrapper .col-md-3,
    .csfbw_main_wrapper .col-md-9 {
        width: 100%;
        max-width: 100%;
    }

    .csfbw_for_mobile {
        margin: 10px 0px;
        position: relative;
    }

    .csfbw_for_mobile #csfbw_toggleButton {
        background: #111111;
        background-color: #111111;
        border: 0;
        padding: 5px 13px;
        position: fixed;
        left: 0;
        top: 33%;
        z-index: 999;
        cursor: pointer;
        border-top-right-radius: 5px;
        border-bottom-right-radius: 5px;
        color: #fff;
        line-height: 25px;
    }

    .csfbw_main_section_filter {
        position: fixed;
        bottom: 0;
        z-index: 999999;
        background: #f7f7f7;
        padding: 0px 5px 22px 10px;
        border: 1px solid gainsboro;
        width: 100%;
        height: 100%;
        overflow: auto;
        left: 0;
        top: 0;
    }
    .filter__container_btn {
        margin-bottom: 10px;
    }
    #csfbw_toggleDiv {
        display: none;
    }

    .csfbw_main_wrapper {
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .sticky_filter.open_filter #csfbw_toggleButton {
        position: static !important;
    }

    .sticky_filter {
        border: none !important;
        width: 35%;
    }

    .sticky_filter.open_filter #csfbw_toggleDiv {
        bottom: 40px;
    }
    
    .csfbw-container .row {
        padding: 0 10px;
    }
    .csfbw_main_wrapper .col-md-9 {
        padding-left: 0px;
        padding-right: 0px;
    }
}

@media (min-width: 768px) {
    .csfbw_pagination_show ul {
        display: flex;
    }

    .csfbw_pagination_show ul li:not(.woocommerce-pagination ul li) {
        width: 50%;
        list-style: none;
    }

    #csfbw_toggleButton {
        display: none;
    }

    #csfbw_toggleDiv:not(.sticky_filter #csfbw_toggleDiv) {
        display: block !important;
    }
    .site-content .ast-container {
        display: unset;
    }
}